

<?php include_once('../_header.php'); ?>

<div class="box">
    <h1>Karyawan</h1>
    <h4>
        <a href="#menu-toggle" class="btn btn-warning btn-xs" id="menu-toggle">MENU</a>
        <div class="pull-right">
            <!-- <a href="" class="btn btn-default btn-xs"><i class="glyphicon glyphicon-home"></i></a> -->
            <a href="add.php" class="btn btn-success btn-xs"><i class="glyphicon glyphicon-plus"></i> Tambah Karyawan</a>
        </div>
    </h4>
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover" id="karyawan">
            <thead>
                <tr>
                    <th>Nomor NIK</th>
                    <th>Nama Karyawan</th>
                    <th>Jenis Kelamin</th>
                    <th>Departemen</th>
                    <th>Jabatan</th>
                    <th>Email</th>
                    <th>No. Telepon</th>
                    <th><i class="glyphicon glyphicon-cog"></i></th>
                </tr>
            </thead>
        </table>
        <script>
            $(document).ready(function() {
                $('#karyawan').DataTable({
                    "processing": true,
                    "serverSide": true,
                    "ajax": "karyawan_data.php",
                    scrollY: '250px',
                    dom: 'Bfrtip',
                    buttons: [{
                            extend: 'pdf',
                            orientation: 'potrait',
                            pageSize: 'Legal',
                            title: 'Data Karyawan',
                            download: 'open'
                        },
                        'excel', 'print', 'copy'
                    ],
                    columnDefs: [{
                        "searchable": false,
                        "orderable": false,
                        "targets": 7,
                        "render": function(data, type, row) {
                            var btn = "<center><a href=\"edit.php?id=" + data + "\" class=\"btn btn-warning btn-xs\"><i class=\"glyphicon glyphicon-edit\"></i></a> <a href=\"del.php?id=" + data + "\" onclick=\"return confirm('Yakin menghapus data?')\" class=\"btn btn-danger btn-xs\"><i class=\"glyphicon glyphicon-trash\"></i></a></center>";
                            return btn;
                        }
                    }]
                });
            });
        </script>
    </div>

    <?php include_once('../_footer.php'); ?>